define({ "api": [
  {
    "type": "get",
    "url": "common",
    "title": "公共参数说明",
    "version": "1.0.0",
    "name": "common",
    "group": "Common",
    "description": "<p>介绍公共参数</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "json",
            "description": "<p>是否返回json格式的数据1为返回2为不返回</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "status",
            "description": "<p>状态，1为有效2为无效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>请求的数据是否成功的提示</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "data",
            "description": "<p>如果status为1,data有值</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "page",
            "description": "<p>分页信息</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.total",
            "description": "<p>分页总数</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.current_page",
            "description": "<p>当前页</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.total_page",
            "description": "<p>总页数</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.next_page",
            "description": "<p>下一页</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.prev_page",
            "description": "<p>上一页</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "page.status",
            "description": "<p>是否有下一页数据，0为没有</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Common"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.bind",
    "title": "用户登录",
    "version": "1.0.0",
    "name": "applet_bind",
    "group": "Passport",
    "description": "<p>用户登录</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>微信登录返回的code</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.bind_mobile",
    "title": "绑定手机号-验证码绑定",
    "version": "1.0.0",
    "name": "applet_bind_mobile",
    "group": "Passport",
    "description": "<p>绑定手机号-验证码绑定</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "mobile",
            "description": "<p>手机号</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "mcode",
            "description": "<p>验证码</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.mobile",
    "title": "更新用户手机号-微信绑定",
    "version": "1.0.0",
    "name": "applet_mobile",
    "group": "Passport",
    "description": "<p>更新用户手机号-微信绑定</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "iv",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "encryptedData",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=applet.update",
    "title": "更新用户信息",
    "version": "1.0.0",
    "name": "applet_update",
    "group": "Passport",
    "description": "<p>更新用户信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "nickname",
            "description": "<p>用户昵称</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "avatarurl",
            "description": "<p>用户头像</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "iv",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "encryptedData",
            "description": "<p>微信的加密参数</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id</p>"
          },
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "vid",
            "description": "<p>微信id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id，请保存在本地</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "passport/?l=reg.getMCode",
    "title": "获取手机验证码",
    "version": "1.0.0",
    "name": "reg_getMCode",
    "group": "Passport",
    "description": "<p>获取手机验证码</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "Number",
            "optional": false,
            "field": "mobile",
            "description": "<p>手机号</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "msg",
            "description": "<p>验证码已发送至您的手机，请注意查收，十分钟之内有效</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Passport"
  },
  {
    "type": "get",
    "url": "service/?l=api.buy",
    "title": "发起微信支付",
    "version": "1.0.0",
    "name": "api_buy",
    "group": "Service",
    "description": "<p>发起微信支付</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "pay",
            "description": "<p>微信支付返回的数据</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.time",
            "description": "<p>服务器时间戳</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.nonce_str",
            "description": "<p>随机字符串</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.prepay_id",
            "description": "<p>统一下单接口返回的 prepay_id 参数值，通过'prepay_id=' + prepay_id 拼装成package</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.sign_type",
            "description": "<p>签名算法</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "pay.sign",
            "description": "<p>签名</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.code",
    "title": "提交兑换码",
    "version": "1.0.0",
    "name": "api_code",
    "group": "Service",
    "description": "<p>提交兑换码</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "code",
            "description": "<p>兑换码</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.feedback",
    "title": "反馈方案信息",
    "version": "1.0.0",
    "name": "api_feedback",
    "group": "Service",
    "description": "<p>反馈方案信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "id",
            "description": "<p>反馈方案id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback",
            "description": "<p>方案信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "feedback.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "feedback.pic",
            "description": "<p>最终效果图</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "feedback.pdf",
            "description": "<p>pdf文件</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "feedback.num",
            "description": "<p>评分数</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product",
            "description": "<p>商品清单</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product.name",
            "description": "<p>商品名称</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product.type",
            "description": "<p>商品类型1为有赞2为淘宝</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product.taobao_code",
            "description": "<p>淘宝淘口令</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product.youzan_path",
            "description": "<p>有赞路径</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product.price",
            "description": "<p>商品价格</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product.link",
            "description": "<p>商品链接</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "feedback.product.pic",
            "description": "<p>商品图片</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.feedback_num_submit",
    "title": "提交反馈方案的评分数",
    "version": "1.0.0",
    "name": "api_feedback_num_submit",
    "group": "Service",
    "description": "<p>提交反馈方案的评分数</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "id",
            "description": "<p>反馈方案id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "num",
            "description": "<p>评分数</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.home",
    "title": "获取首页数据",
    "version": "1.0.0",
    "name": "api_home",
    "group": "Service",
    "description": "<p>获取首页数据</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "uid",
            "description": "<p>用户id 所有Service接口中都有该项</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "config",
            "description": "<p>基本配置 所有Service接口中都有该项</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.name",
            "description": "<p>小程序名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.info",
            "description": "<p>小程序介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.edate",
            "description": "<p>产品有效期</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.article",
            "description": "<p>公众号链接-引导关注公众号</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.task_id",
            "description": "<p>软装任务链接-一般填写APPID</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.desc_name",
            "description": "<p>介绍标题-首页服务介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.desc_content",
            "description": "<p>介绍内容-首页服务介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.flow_name",
            "description": "<p>服务流程标题-首页服务流程</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "config.flow_content",
            "description": "<p>服务流程内容</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.video_content",
            "description": "<p>视频页介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.question_content",
            "description": "<p>问卷介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.act_name",
            "description": "<p>参与活动标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.act_desc",
            "description": "<p>参与活动介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.act_link",
            "description": "<p>参与活动链接</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "config.act_code",
            "description": "<p>是否显示兑换码按钮1为显示2为不显示</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "focus",
            "description": "<p>焦点图</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.pic",
            "description": "<p>图片</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.appid",
            "description": "<p>跳转的小程序appid，默认为空</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.link",
            "description": "<p>链接或者小程序路径</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product",
            "description": "<p>产品列表</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.info",
            "description": "<p>介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.content",
            "description": "<p>内容</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product.price",
            "description": "<p>规格</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.price",
            "description": "<p>原价</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.zhe_price",
            "description": "<p>折扣价(特价)</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.type",
            "description": "<p>获取方式 1为购买，2为兑换，同时出现1,2，两个按钮同时出现</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.cash",
            "description": "<p>购买金额，当type=1时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.code",
            "description": "<p>兑换码数量，当type=2时有效</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.order",
    "title": "服务订单",
    "version": "1.0.0",
    "name": "api_order",
    "group": "Service",
    "description": "<p>服务订单</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "order",
            "description": "<p>订单信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.order_id",
            "description": "<p>订单编号</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.del_status",
            "description": "<p>产品在线状态1为在线2为已下线</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback_status",
            "description": "<p>反馈状态1未反馈，显示服务获取成功，填写问卷 2填写问卷中 显示补充资料 3完成填写问卷 补充显示等待 4已出方案，显示方案按钮</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.edate",
            "description": "<p>产品有效期，feedback_status=1时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback",
            "description": "<p>方案名称，feedback_status=4时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback_id",
            "description": "<p>反馈方案id</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.survey",
    "title": "问卷基本信息",
    "version": "1.0.0",
    "name": "api_survey",
    "group": "Service",
    "description": "<p>问卷基本信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "page_number",
            "description": "<p>当前页数 默认为1，修改某一页时有效</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product",
            "description": "<p>产品信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.question_name",
            "description": "<p>问卷标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.question_pic",
            "description": "<p>问卷封面</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.question_content",
            "description": "<p>问卷内容（富文本）</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.question_desc",
            "description": "<p>问卷温馨提示</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "user",
            "description": "<p>用户答题进度信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "uesr.index",
            "description": "<p>答题进度，当前页数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "uesr.product_id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "uesr.page",
            "description": "<p>同index，当前页数</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "uesr.page_total",
            "description": "<p>总页数</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info",
            "description": "<p>问卷信息 为多维数组</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.page_number",
            "description": "<p>页号</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.reorder",
            "description": "<p>序号 第几题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.name",
            "description": "<p>标题</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.info",
            "description": "<p>描述</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.answer",
            "description": "<p>用户填写的答案，多个用逗号隔开</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.type",
            "description": "<p>问卷类型 小于11没有选择框 1单行输入框 2多行输入框 3单图片上传 4多图片上传 11城市选择框 12单选框 13多选框</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.must",
            "description": "<p>是否必填 1必填2选填</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "info.match",
            "description": "<p>验证规则 暂时无效</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "info.content",
            "description": "<p>多维数组，选择项 里边的ctype是选项类型，1为用户选择，2为用户输入（比如其他）</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.survey_submit",
    "title": "提交问卷信息",
    "version": "1.0.0",
    "name": "api_survey_submit",
    "group": "Service",
    "description": "<p>提交问卷信息</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "page_number",
            "description": "<p>当前页数(user中的index)</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "survey_id",
            "description": "<p>题号id，多个用||隔开</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "survey_answer",
            "description": "<p>题号答案，多个用||隔开，如果是多选题或者多张图片，多个选项请用逗号隔开，选择题的选项值请从1开始，1、2、3、4，与order无关</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.video",
    "title": "获取优秀案例",
    "version": "1.0.0",
    "name": "api_video",
    "group": "Service",
    "description": "<p>获取优秀案例</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "video",
            "description": "<p>视频信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "video.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "video.link",
            "description": "<p>地址</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "video.video",
            "description": "<p>播放地址</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.view",
    "title": "获取服务详情",
    "version": "1.0.0",
    "name": "api_view",
    "group": "Service",
    "description": "<p>获取服务详情</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "id",
            "description": "<p>产品id</p>"
          }
        ]
      }
    },
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "focus",
            "description": "<p>焦点图</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "focus.pic",
            "description": "<p>图片</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product",
            "description": "<p>产品信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.info",
            "description": "<p>介绍</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.pic",
            "description": "<p>产品图片，多个用逗号隔开</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.content",
            "description": "<p>内容</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "product.price",
            "description": "<p>规格</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.price",
            "description": "<p>原价</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.zhe_price",
            "description": "<p>折扣价(特价)</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.type",
            "description": "<p>获取方式 1为购买，2为兑换，同时出现1,2，两个按钮同时出现</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.cash",
            "description": "<p>购买金额，当type=1时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "product.price.code",
            "description": "<p>兑换码数量，当type=2时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "Number",
            "optional": false,
            "field": "buy",
            "description": "<p>是否已经购买 1为未购买 2为已购买 购买后底部按钮不再出现</p>"
          },
          {
            "group": "Success 200",
            "type": "Object[]",
            "optional": false,
            "field": "order",
            "description": "<p>订单信息</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.name",
            "description": "<p>名称</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.order_id",
            "description": "<p>订单编号</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.del_status",
            "description": "<p>产品在线状态1为在线2为已下线</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback_status",
            "description": "<p>反馈状态1未反馈，显示服务获取成功，填写问卷 2已反馈 显示原型第二条 3已出方案，显示原型第三条</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback_time",
            "description": "<p>设计反馈时间 feedback_status=2时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback_desc",
            "description": "<p>设计反馈描述 feedback_status=2时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.edate",
            "description": "<p>产品有效期，feedback_status=1时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback",
            "description": "<p>方案名称，feedback_status=3时有效</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "order.feedback_id",
            "description": "<p>反馈方案id</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "type": "get",
    "url": "service/?l=api.writeFormId",
    "title": "记录formid，用于发送通知",
    "version": "1.0.0",
    "name": "api_writeFormId",
    "group": "Service",
    "description": "<p>记录formid，用于发送通知</p>",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "signature",
            "description": "<p>signature</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "product_id",
            "description": "<p>产品id</p>"
          }
        ]
      }
    },
    "filename": "/root/input/apidoc.php",
    "groupTitle": "Service"
  },
  {
    "success": {
      "fields": {
        "Success 200": [
          {
            "group": "Success 200",
            "optional": false,
            "field": "varname1",
            "description": "<p>No type.</p>"
          },
          {
            "group": "Success 200",
            "type": "String",
            "optional": false,
            "field": "varname2",
            "description": "<p>With type.</p>"
          }
        ]
      }
    },
    "type": "",
    "url": "",
    "version": "0.0.0",
    "filename": "/root/input/main.js",
    "group": "_root_input_main_js",
    "groupTitle": "_root_input_main_js",
    "name": ""
  }
] });
