<?php 

/**
 * @api {get} common 公共参数说明
 * @apiVersion 1.0.0
 * @apiName common
 * @apiGroup Common
 *
 * @apiDescription 介绍公共参数
 *
 * @apiParam {Number} json 是否返回json格式的数据1为返回2为不返回
 * @apiParam {Number} signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 *
 * @apiSuccess {Number}   status  状态，1为有效2为无效
 * @apiSuccess {String}   msg 请求的数据是否成功的提示
 * @apiSuccess {String}   data 如果status为1,data有值
 * @apiSuccess {Object[]}   page 分页信息
 * @apiSuccess {Number}   page.total 分页总数
 * @apiSuccess {Number}   page.current_page 当前页
 * @apiSuccess {Number}   page.total_page 总页数
 * @apiSuccess {Number}   page.next_page 下一页
 * @apiSuccess {Number}   page.prev_page 上一页
 * @apiSuccess {Number}   page.status 是否有下一页数据，0为没有
 */


/**
 * @api {get} passport/?l=applet.bind 用户登录
 * @apiVersion 1.0.0
 * @apiName applet.bind
 * @apiGroup Passport
 *
 * @apiDescription 用户登录
 *
 * @apiParam {String} code 微信登录返回的code
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} passport/?l=applet.update 更新用户信息
 * @apiVersion 1.0.0
 * @apiName applet.update
 * @apiGroup Passport
 *
 * @apiDescription 更新用户信息
 *
 * @apiParam {String} nickname 用户昵称
 * @apiParam {String} avatarurl 用户头像
 * @apiParam {String} iv 微信的加密参数
 * @apiParam {String} encryptedData 微信的加密参数
 * @apiParam {Number} vid 微信id
 * @apiParam {Number} uid 用户id
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */


/**
 * @api {get} passport/?l=applet.mobile 更新用户手机号-微信绑定
 * @apiVersion 1.0.0
 * @apiName applet.mobile
 * @apiGroup Passport
 *
 * @apiDescription 更新用户手机号-微信绑定
 *
 * @apiParam {String} iv 微信的加密参数
 * @apiParam {String} encryptedData 微信的加密参数
 * @apiParam {Number} vid 微信id
 * @apiParam {Number} uid 用户id
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   vid  微信id，请保存在本地
 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} passport/?l=applet.bind_mobile 绑定手机号-验证码绑定
 * @apiVersion 1.0.0
 * @apiName applet.bind_mobile
 * @apiGroup Passport
 *
 * @apiDescription 绑定手机号-验证码绑定
 *
 * @apiParam {Number} uid 用户id
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} mcode 验证码
 * @apiParam {String} signature signature
 *

 * @apiSuccess {Number}   uid  用户id，请保存在本地
 * @apiSuccess {String}   signature 用于登录后的uid验证，每次都要传入，请登录后将这个值保存在本地
 */

/**
 * @api {get} passport/?l=reg.getMCode 获取手机验证码
 * @apiVersion 1.0.0
 * @apiName reg.getMCode
 * @apiGroup Passport
 *
 * @apiDescription 获取手机验证码
 *
 * @apiParam {Number} mobile 手机号
 * @apiParam {String} signature signature
 *
 * @apiSuccess {String}   msg 验证码已发送至您的手机，请注意查收，十分钟之内有效
 */

/**
 * @api {get} service/?l=api.home 获取首页数据
 * @apiVersion 1.0.0
 * @apiName api.home
 * @apiGroup Service
 *
 * @apiDescription 获取首页数据
 *
 * @apiParam {String} signature signature
 *
 *
 * @apiSuccess {Number}   uid  用户id 所有Service接口中都有该项
 * @apiSuccess {Object[]} config 基本配置 所有Service接口中都有该项
 * @apiSuccess {String}   config.name 小程序名称
 * @apiSuccess {String}   config.info 小程序介绍
 * @apiSuccess {String}   config.edate 产品有效期
 * @apiSuccess {String}   config.article 	公众号链接-引导关注公众号
 * @apiSuccess {String}   config.task_id 软装任务链接-一般填写APPID
 * @apiSuccess {String}   config.desc_name 介绍标题-首页服务介绍
 * @apiSuccess {String}   config.desc_content 介绍内容-首页服务介绍
 * @apiSuccess {String}   config.flow_name 服务流程标题-首页服务流程
 * @apiSuccess {Object[]}   config.flow_content 服务流程内容
 * @apiSuccess {String}   config.video_content 	视频页介绍
 * @apiSuccess {String}   config.question_content 		问卷介绍

 * @apiSuccess {String}   config.act_name      参与活动标题
 * @apiSuccess {String}   config.act_desc       参与活动介绍
 * @apiSuccess {String}   config.act_link       参与活动链接
 * @apiSuccess {String}   config.act_code       是否显示兑换码按钮1为显示2为不显示


 * @apiSuccess {Object[]} focus 焦点图
 * @apiSuccess {String}   focus.name 名称
 * @apiSuccess {String}   focus.pic 图片
 * @apiSuccess {String}   focus.appid 跳转的小程序appid，默认为空
 * @apiSuccess {String}   focus.link 链接或者小程序路径

 * @apiSuccess {Object[]} product 产品列表
 * @apiSuccess {String}   product.id 产品id
 * @apiSuccess {String}   product.name 名称
 * @apiSuccess {String}   product.info 介绍
 * @apiSuccess {String}   product.content 内容
 * @apiSuccess {Object[]}   product.price 规格
 * @apiSuccess {String}   product.price.price 原价
 * @apiSuccess {String}   product.price.zhe_price 折扣价(特价)
 * @apiSuccess {String}   product.price.type 获取方式 1为购买，2为兑换，同时出现1,2，两个按钮同时出现
 * @apiSuccess {String}   product.price.cash 购买金额，当type=1时有效
 * @apiSuccess {String}   product.price.code 兑换码数量，当type=2时有效
 */


/**
 * @api {get} service/?l=api.view 获取服务详情
 * @apiVersion 1.0.0
 * @apiName api.view
 * @apiGroup Service
 *
 * @apiDescription 获取服务详情
 *
 * @apiParam {String} signature signature
 * @apiParam {String} id 产品id

 * @apiSuccess {Object[]} focus 焦点图
 * @apiSuccess {String}   focus.name 名称
 * @apiSuccess {String}   focus.pic 图片

 *
 * @apiSuccess {Object[]} product 产品信息
 * @apiSuccess {String}   product.name 名称
 * @apiSuccess {String}   product.info 介绍
 * @apiSuccess {String}   product.pic 产品图片，多个用逗号隔开
 * @apiSuccess {String}   product.content 内容
 * @apiSuccess {Object[]}   product.price 规格
 * @apiSuccess {String}   product.price.price 原价
 * @apiSuccess {String}   product.price.zhe_price 折扣价(特价)
 * @apiSuccess {String}   product.price.type 获取方式 1为购买，2为兑换，同时出现1,2，两个按钮同时出现
 * @apiSuccess {String}   product.price.cash 购买金额，当type=1时有效
 * @apiSuccess {String}   product.price.code 兑换码数量，当type=2时有效

 * @apiSuccess {Number}   buy 是否已经购买 1为未购买 2为已购买 
 购买后底部按钮不再出现
 * @apiSuccess {Object[]} order 订单信息
 * @apiSuccess {String}   order.name 名称
 * @apiSuccess {String}   order.order_id 订单编号
 * @apiSuccess {String}   order.del_status 产品在线状态1为在线2为已下线
 * @apiSuccess {String}   order.feedback_status 反馈状态1未反馈，显示服务获取成功，填写问卷 2已反馈 显示原型第二条 3已出方案，显示原型第三条
 * @apiSuccess {String}   order.feedback_time 设计反馈时间 feedback_status=2时有效
 * @apiSuccess {String}   order.feedback_desc 设计反馈描述 feedback_status=2时有效
 * @apiSuccess {String}   order.edate 产品有效期，feedback_status=1时有效
 * @apiSuccess {String}   order.feedback 方案名称，feedback_status=3时有效
 * @apiSuccess {String}   order.feedback_id 反馈方案id
 */


/**
 * @api {get} service/?l=api.video 获取优秀案例
 * @apiVersion 1.0.0
 * @apiName api.video
 * @apiGroup Service
 *
 * @apiDescription 获取优秀案例
 *
 * @apiParam {String} signature signature
 
 *
 * @apiSuccess {Object[]} video 视频信息
 * @apiSuccess {String}   video.name 名称
 * @apiSuccess {String}   video.link 地址
 * @apiSuccess {String}   video.video 播放地址
 */

/**
 * @api {get} service/?l=api.order 服务订单
 * @apiVersion 1.0.0
 * @apiName api.order
 * @apiGroup Service
 *
 * @apiDescription 服务订单
 *
 * @apiParam {String} signature signature
 
 *
 * @apiSuccess {Object[]} order 订单信息
 * @apiSuccess {String}   order.name 名称
 * @apiSuccess {String}   order.order_id 订单编号
 * @apiSuccess {String}   order.del_status 产品在线状态1为在线2为已下线
 * @apiSuccess {String}   order.feedback_status 反馈状态1未反馈，显示服务获取成功，填写问卷 2填写问卷中 显示补充资料 3完成填写问卷 补充显示等待 4已出方案，显示方案按钮
 * @apiSuccess {String}   order.edate 产品有效期，feedback_status=1时有效
 * @apiSuccess {String}   order.feedback 方案名称，feedback_status=4时有效
 * @apiSuccess {String}   order.feedback_id 反馈方案id
 */


/**
 * @api {get} service/?l=api.feedback 反馈方案信息
 * @apiVersion 1.0.0
 * @apiName api.feedback
 * @apiGroup Service
 *
 * @apiDescription 反馈方案信息
 *
 * @apiParam {String} signature signature
 * @apiParam {String} id 反馈方案id
 
 *
 * @apiSuccess {Object[]} feedback 方案信息
 * @apiSuccess {String}   feedback.name 名称
 * @apiSuccess {String}   feedback.pic 最终效果图
 * @apiSuccess {String}   feedback.pdf pdf文件
 * @apiSuccess {String}   feedback.num 评分数
 * @apiSuccess {Object[]}   feedback.product 商品清单
 * @apiSuccess {Object[]}   feedback.product.name 商品名称
 * @apiSuccess {Object[]}   feedback.product.type 商品类型1为有赞2为淘宝
 * @apiSuccess {Object[]}   feedback.product.taobao_code 淘宝淘口令
 * @apiSuccess {Object[]}   feedback.product.youzan_path 有赞路径
 * @apiSuccess {Object[]}   feedback.product.price 商品价格
 * @apiSuccess {Object[]}   feedback.product.link 商品链接
 * @apiSuccess {Object[]}   feedback.product.pic 商品图片
 */

/**
 * @api {get} service/?l=api.feedback_num_submit 提交反馈方案的评分数
 * @apiVersion 1.0.0
 * @apiName api.feedback_num_submit
 * @apiGroup Service
 *
 * @apiDescription 提交反馈方案的评分数
 *
 * @apiParam {String} signature signature
 * @apiParam {String} id 反馈方案id
 * @apiParam {String} num 评分数
 */


/**
 * @api {get} service/?l=api.survey 问卷基本信息
 * @apiVersion 1.0.0
 * @apiName api.survey
 * @apiGroup Service
 *
 * @apiDescription 问卷基本信息
 *
 * @apiParam {String} signature signature
 * @apiParam {String} product_id 产品id
 * @apiParam {String} page_number 当前页数 默认为1，修改某一页时有效
 *
 * @apiSuccess {Object[]} product 产品信息
 * @apiSuccess {String}   product.name 名称
 * @apiSuccess {String}   product.question_name 问卷标题
 * @apiSuccess {String}   product.question_pic 问卷封面
 * @apiSuccess {String}   product.question_content 问卷内容（富文本）
 * @apiSuccess {String}   product.question_desc 问卷温馨提示
 *
 * @apiSuccess {Object[]} user 用户答题进度信息
 * @apiSuccess {String}   uesr.index 答题进度，当前页数
 * @apiSuccess {String}   uesr.product_id 产品id
 * @apiSuccess {String}   uesr.page 同index，当前页数
 * @apiSuccess {String}   uesr.page_total 总页数

 * @apiSuccess {Object[]} info 问卷信息 为多维数组
 * @apiSuccess {String}   info.page_number 页号
 * @apiSuccess {String}   info.reorder 序号 第几题
 * @apiSuccess {String}   info.name 标题
 * @apiSuccess {String}   info.info 描述
 * @apiSuccess {String}   info.answer 用户填写的答案，多个用逗号隔开
 * @apiSuccess {String}   info.type 问卷类型 小于11没有选择框 1单行输入框 2多行输入框 3单图片上传 4多图片上传 11城市选择框 12单选框 13多选框
 * @apiSuccess {String}   info.must 是否必填 1必填2选填
 * @apiSuccess {String}   info.match 验证规则 暂时无效
 * @apiSuccess {Object[]}   info.content 多维数组，选择项 里边的ctype是选项类型，1为用户选择，2为用户输入（比如其他）
 */

/**
 * @api {get} service/?l=api.survey_submit 提交问卷信息
 * @apiVersion 1.0.0
 * @apiName api.survey_submit
 * @apiGroup Service
 *
 * @apiDescription 提交问卷信息
 *
 * @apiParam {String} signature signature
 * @apiParam {String} product_id 产品id
 * @apiParam {String} page_number 当前页数(user中的index)
 * @apiParam {String} survey_id 题号id，多个用||隔开
 * @apiParam {String} survey_answer 题号答案，多个用||隔开，如果是多选题或者多张图片，多个选项请用逗号隔开，选择题的选项值请从1开始，1、2、3、4，与order无关
 */

/**
 * @api {get} service/?l=api.code 提交兑换码
 * @apiVersion 1.0.0
 * @apiName api.code
 * @apiGroup Service
 *
 * @apiDescription 提交兑换码
 *
 * @apiParam {String} signature signature
 * @apiParam {String} product_id 产品id
 * @apiParam {String} code 兑换码
 */

/**
 * @api {get} service/?l=api.buy 发起微信支付
 * @apiVersion 1.0.0
 * @apiName api.buy
 * @apiGroup Service
 *
 * @apiDescription 发起微信支付
 *
 * @apiParam {String} signature signature
 * @apiParam {String} product_id 产品id
*
 * @apiSuccess {Object[]} pay 微信支付返回的数据
 * @apiSuccess {String}   pay.time 服务器时间戳
 * @apiSuccess {String}   pay.nonce_str 随机字符串
 * @apiSuccess {String}   pay.prepay_id 统一下单接口返回的 prepay_id 参数值，通过'prepay_id=' + prepay_id 拼装成package
 * @apiSuccess {String}   pay.sign_type 签名算法
 * @apiSuccess {String}   pay.sign 签名
 */


/**
 * @api {get} service/?l=api.writeFormId 记录formid，用于发送通知 
 * @apiVersion 1.0.0
 * @apiName api.writeFormId
 * @apiGroup Service
 *
 * @apiDescription 记录formid，用于发送通知
 *
 * @apiParam {String} signature signature
 * @apiParam {String} product_id 产品id
 */