<?php

# 定义几个常用的选项
$status = array
(
	1 => '在线',
	2 => '下线',
);

$type = array
(
	1 => '购买',
	2 => '兑换',
);

return array
(
	# 表名
	'name' => 'product',
	# 显示给用户看的名称
	'lang' => '产品管理',
	'order' => 100,
	'menu' => 'main',
	'end' => array
	(
		'update' => 'code/lib/manage.create',
		'insert' => 'code/lib/manage.create',
	),
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '产品名称',
			'default' 	=> '',
			'desc' 		=> '产品名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),
  
  		'pic'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '产品图片-可多张，点击图片可删除，图片大小：750px*390px',
			'default' 	=> '',
			'desc' 		=> '请选择图片',
			'match' 	=> 'is_string',
			'update'	=> 'images',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'info'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '产品介绍',
			'default' 	=> '',
			'desc' 		=> '产品介绍',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'edate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '产品有效期-直接填写天数即可，统一的有效期请到基本设置中配置，如果该产品与统一有效期不一致，可在此填写',
			'default' 	=> '',
			'match' 	=> 'option',
			'desc' 		=> '产品有效期',
			//'update'	=> 'text',
		),

		'pay_button_text'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '付款按钮文字-首页的付款按钮文字描述',
			'default' 	=> '',
			'desc' 		=> '付款按钮文字',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'cover_pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '产品封面图-尺寸：632px*400px',
			'default' 	=> '',
			'desc' 		=> '产品封面图',
			'match' 	=> 'option',
			'update'	=> 'images',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'link'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '产品购买路径-如果是小程序，请填写路径，如果是h5，直接填写链接',
			'default' 	=> '',
			'desc' 		=> '产品购买路径',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'price'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '产品销售价格',
			'default' 	=> '',
			'desc' 		=> '产品销售价格',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'oprice'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '产品原价',
			'default' 	=> '',
			'desc' 		=> '产品原价',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'price_info'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '购买文字提示',
			'default' 	=> '',
			'desc' 		=> '购买文字提示',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'content'		=> array
		(
			'type' 		=> 'longtext',
			'name' 		=> '产品内容',
			'default' 	=> '',
			'desc' 		=> '产品内容',
			'match' 	=> 'is_string',
			'update'	=> 'editor',
		),

		'type'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '获取方式',
			'default' 	=> '1',
			'desc' 		=> '获取方式',
			'match' 	=> 'is_numeric',
			'option' 	=> $type,
			'search'	=> 'select',
			'update'	=> 'checkbox',
			'list'		=> true,
			'control'	=> 'type',
		),

		'cash'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '支付价格-单位元，直接填写数字即可',
			'default' 	=> '',
			'desc' 		=> '支付价格',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=1',
		),

		'unit'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '支付价格的单位-如人民币：元',
			'default' 	=> '',
			'desc' 		=> '支付价格的单位',
			'match' 	=> 'option',
			'update'	=> 'text',
			'show'		=> 'type=1',
		),

		'code'		=> array
		(
			'type' 		=> 'varchar-50',
			'name' 		=> '兑换码数量-直接填写数字即可，系统将自动生成对应数量的兑换码',
			'default' 	=> '',
			'desc' 		=> '兑换码数量',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2',
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '在线状态',
			'default' 	=> '1',
			'desc' 		=> '请选择在线状态',
			'match' 	=> 'is_numeric',
			'option' 	=> $status,
			'search'	=> 'select',
			'update'	=> 'radio',
			'list'		=> true,
			'edit'		=> true,
		),

		'question_name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '问卷标题-如果为空，则自动读取产品标题',
			'default' 	=> '',
			'desc' 		=> '问卷标题',
			'match' 	=> 'option',
			//'update'	=> 'text',
		),

		'question_pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '问卷封面',
			'default' 	=> '',
			'desc' 		=> '问卷封面',
			'match' 	=> 'is_string',
			//'update'	=> 'image',
			//'key' 		=> '1',
		),

		'question_desc'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '问卷温馨提示',
			'default' 	=> '',
			'desc' 		=> '问卷温馨提示',
			'match' 	=> 'option',
			//'update'	=> 'textarea',
		),

		'question_content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '问卷介绍',
			'default' 	=> '',
			'desc' 		=> '问卷介绍',
			'match' 	=> 'option',
			'update'	=> 'editor',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'list_button' => array
		(
			'list1' => array('兑换码列表', '"info&project=code&search_option_product_id={id}&oper_parent=product&oper_project=service"'),
			//'list1' => array('规格管理', '"product_price&project=service&search_option_product_id={id}&oper_parent=product&oper_project=service"'),
			'list' => array('问卷管理', '"info&project=survey&search_option_product_id={id}&oper_parent=product&oper_project=service"'),
		),
	),


	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'status' => 1,
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'cdate' => 'desc'),
			'page' => array(10, 'list'),
			'col' => '*',
		),
	),
);
