<?php

# 定义几个常用的选项
$status = array
(
	1 => '在线',
	2 => '下线',
);

return array
(
	# 表名
	'name' => 'video',
	# 显示给用户看的名称
	'lang' => '视频管理',
	'order' => 80,
	'menu' => 'main',
	'end' => array
	(
		//'update' => 'service/lib/manage.video',
		//'insert' => 'service/lib/manage.video',
	),
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '视频名称',
			'default' 	=> '',
			'desc' 		=> '视频名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'pic'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '封面-图片大小：750px*425px',
			'default' 	=> '',
			'desc' 		=> '封面',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'link'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '视频地址-腾讯视频直接输入网址即可，如https://v.qq.com/x/page/j0515xuxz37.html',
			'default' 	=> '',
			'desc' 		=> '请输入视频地址',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'video'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '视频真实地址',
			'default' 	=> '',
			'desc' 		=> '视频真实地址',
			'match' 	=> 'is_string',
			//'update'	=> 'textarea',
		),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'alter' => array
	(
		2 => array
		(
			array('update', 'name', 'name', 'varchar-800  视频名称'),
			//array('add', 'config', 'config', 'int-11 1 配置'),
		),
		'version' => 2,
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('reorder' => 'desc', 'cdate' => 'desc'),
			'page' => array(3, 'list'),
			'col' => '*',
		),
	),
);
