<?php
namespace Service\Src;

use Dever;

class Api extends Base
{
    # 首页
    public function home()
    {
        # 焦点图
        $this->data['focus'] = Dever::db('main/focus')->getAll();

        # 产品列表
        $this->data['product'] = Dever::db('service/product')->getAll();

        /*
        if ($this->data['product']) {
            foreach ($this->data['product'] as $k => $v) {
                $this->data['product'][$k]['price'] = Dever::db('service/product_price')->getDataByMin(array('product_id' => $v['id']));
            }
        }
        */

        return $this->data;
    }

    # 产品服务介绍
    public function view()
    {
    	$id = Dever::input('id', false, '> 0', '请传入正确的产品id');

    	# 焦点图
        $this->data['focus'] = Dever::db('main/focus')->state();

        $this->data['product'] = Dever::db('service/product')->one($id);

        //$this->data['product']['price'] = Dever::db('service/product_price')->getAll(array('product_id' => $id));

        # 查看是否购买
        $order = Dever::db('service/order')->one(array('product_id' => $id, 'uid' => $this->data['uid']));
        if ($order) {
            $this->data['order'] = $this->getOrderOne($order);
        	$this->data['buy'] = 2;
        } else {
        	$this->data['buy'] = 1;
        }

        return $this->data;
    }

    # 优秀案例：视频
    public function video()
    {
    	# 视频列表
        $this->data['video'] = Dever::db('service/video')->getAll();
        //$this->data['video'] = array();

        if ($this->data['video']) {
            foreach ($this->data['video'] as $k => $v) {
                $this->data['video'][$k]['video'] = $this->decode($v['link']);
            }
        }

        return $this->data;
    }

    public function decode($link)
    {
        if (!$link) {
            return '';
        }
        $temp = explode('/', $link);
        $temp = end($temp);
      	$temp = explode('.html', $temp);
        $key = $temp[0];
        //$key = str_replace(array('https://v.qq.com/x/page/', '.html'), '', $link);

        $api = 'http://vv.video.qq.com/getinfo?vids='.$key.'&platform=101001&charge=0&otype=json';

        $data = Dever::curl($api);

        $data = json_decode(str_replace(array('QZOutputJson=', ';'), '', $data), true);
        if (isset($data['vl']) && isset($data['vl']['vi'][0])) {
            $data = $data['vl']['vi'][0];
            $urls = $data['ul']['ui'];
            foreach ($urls as $k => $v) {
                $url = $v['url'];
                break;
                if (strstr($v['url'], 'vhot2.qqvideo.tc.qq.com')) {
                    $url = $v['url'];
                }
            }
            if (empty($url)) {
                print_r($data);die;
                return $this->decode_api($link);
            }
            $link = $url . $data['fn'] . '?vkey=' . $data['fvkey'];
        } else {
            return '';
        }

        return $link;
    }

    # 服务订单
    public function order()
    {
    	# 订单列表
        $this->data['order'] = Dever::db('service/order')->getAll(array('uid' => $this->data['uid']));

        if ($this->data['order']) {
        	foreach ($this->data['order'] as $k => $v) {
                $this->data['order'][$k] = $this->getOrderOne($v);
        	}
        }

        return $this->data;
    }

    private function getOrderOne($v)
    {
        $order = $v;
        $order['del_status'] = 1;
        $product = Dever::db('service/product')->one($v['product_id']);
        if (!$product || ($product && $product['status'] != 1)) {
            $order['del_status'] = 2;
        }

        # 有效期
        $order['edate'] = '';
        if ($product) {
            /*
            if ($product['edate'] <= 0) {
                $product['edate'] = $this->data['config']['edate'];
            }
            */
            # 产品中的有效期没用了
            $user = Dever::db('survey/user_answer')->getOldOne(array('order_id' => $v['id']));

            $product['edate'] = $this->data['config']['edate'];
            if ($product['edate'] > 0) {
                $order['edate'] = date('Y-m-d', $v['cdate'] + $product['edate'] * 86400);
            }
        }

        if ($v['feedback_status'] > 1) {
            $feedback = Dever::db('service/feedback')->one(array('id' => $v['id']));
            if ($feedback) {
                $order['feedback'] = $feedback['name'];
                $order['feedback_id'] = $feedback['id'];
            } else {
                $order['feedback'] = '';
                $order['feedback_id'] = 0;
            }
        }
        return $order;
    }

    # 问卷基本信息
    public function survey()
    {
    	$product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');

        $order_id = Dever::input('order_id', false, '> 0', '请传入正确的订单id');

        $page_number = Dever::input('page_number', 0);

        $this->data['product'] = Dever::db('service/product')->one($product_id);

        if (!$this->data['product']['question_name']) {
            $this->data['product']['question_name'] = $this->data['product']['name'];
        }

    	$this->data += Dever::load('survey/api.get', $this->data['uid'], $product_id, $order_id, $page_number);

    	return $this->data;
    }

    # 提交问卷
    public function survey_submit()
    {
        $this->log();
    	$product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');
        $order_id = Dever::input('order_id', false, '> 0', '请传入正确的订单id');
        $order = Dever::db('service/order')->one($order_id);
        if (!$order) {
            Dever::alert('请传入正确的订单id');
        }
    	$page_number = Dever::input('page_number', false, '> 0', '页数');
    	$survey_id = Dever::input('survey_id');
    	$survey_answer = Dever::input('survey_answer');

    	$state = Dever::load('survey/api.submit', $this->data['uid'], $product_id, $order_id, $page_number, $survey_id, $survey_answer);

        if ($order['feedback_status'] != 4) {
            if ($state == 1) {
                Dever::db('service/order')->update(array('where_id' => $order_id, 'feedback_status' => 2));
            } elseif ($state == 2) {
                Dever::db('service/order')->update(array('where_id' => $order_id, 'feedback_status' => 3));
            }
        }

    	return true;
    }

    # 反馈信息
    public function feedback()
    {
    	$id = Dever::input('id', false, '> 0', '请传入正确的反馈id');

        $this->data['feedback'] = Dever::db('service/feedback')->one($id);

        if (true) {

            if (isset($this->data['feedback']['products']) && $this->data['feedback']['products']) {
                $this->data['feedback']['product'] = Dever::db('ku/product')->getDataByIds($this->data['feedback']['products']);
            } else {
                $this->data['feedback']['product'] = Dever::array_decode($this->data['feedback']['product']);
            }
            
          	if (isset($this->data['feedback']['product'][0]['name']) && !$this->data['feedback']['product'][0]['name']) {
              	$this->data['feedback']['product'] = array();
            } else {
                foreach ($this->data['feedback']['product'] as $k => $v) {
                    $this->data['feedback']['product'][$k]['type'] = $v['type'] = is_array($v['type']) ? $v['type'][0] : $v['type'];
                    //$this->data['feedback']['product'][$k]['update'] = $v['update'] = is_array($v['update']) ? $v['update'][0] : $v['type'];
                    $this->data['feedback']['product'][$k]['wechat'] = '';

                    if (!isset($this->data['feedback']['product'][$k]['set']) && $this->data['feedback']['product'][$k]['type'] == 3) {
                        $this->data['feedback']['product'][$k]['set'] = 2;
                    }
                    if (!isset($this->data['feedback']['product'][$k]['set'])) {
                        $this->data['feedback']['product'][$k]['set'] = 1;
                    }
                    if ($this->data['feedback']['product'][$k]['set'] == 2) {
                        $this->data['feedback']['product'][$k]['taobao_code'] = '';
                        $this->data['feedback']['product'][$k]['youzan_path'] = '';
                        $this->data['feedback']['product'][$k]['wechat'] = $this->data['config']['wechat'];
                    } elseif ($this->data['feedback']['product'][$k]['type'] == 2 || $this->data['feedback']['product'][$k]['type'] == 3) {
                        $this->data['feedback']['product'][$k]['youzan_path'] = '';
                        if (isset($v['code'])) {
                            $this->data['feedback']['product'][$k]['taobao_code'] = $v['code'];
                        }
                        
                    } elseif ($this->data['feedback']['product'][$k]['type'] == 1) {
                        $this->data['feedback']['product'][$k]['taobao_code'] = '';
                        if (isset($v['code'])) {
                            $this->data['feedback']['product'][$k]['youzan_path'] = $v['code'];
                        }
                    }
                }
            }
        }

        return $this->data;
    }

    # 反馈评分
    public function feedback_num_submit()
    {
        $id = Dever::input('id', false, '> 0', '请传入正确的反馈id');
        $num = Dever::input('num', false, '> 0', '请传入正确的评分数字');
        $msg = Dever::input('msg');

        $feedback = Dever::db('service/feedback')->one($id);

        if ($feedback && $feedback['uid'] == $this->data['uid']) {
            $update['num'] = $num;
            $update['isnum'] = 1;
            if ($msg) {
                $update['msg'] = $msg;
            }
            $update['where_id'] = $id;
            Dever::db('service/feedback')->update($update);
        }

        return 'ok';
    }

    # 手动增加新订单
    public function order_submit()
    {
        $product_id = 1;
        Dever::load('service/lib/pay.act', 1, 2, 1, '1535618228181107262', 2, '');

        return true;
    }

    # 购买
    public function buy()
    {
    	$product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');
        $product = Dever::db('service/product')->one($product_id);

        $user = Dever::db('passport/user')->one($this->data['uid']);
        $wechat = Dever::db('passport/wechat')->one(array('uid' => $this->data['uid']));

        $order_id = $this->createOrder();

        $id = Dever::db('service/order')->insert(array('order_id' => $order_id, 'product_id' => $product_id, 'cash' => $product['cash'],'uid' => $this->data['uid'], 'type' => 1, 'name' => $product['name'], 'status' => 1));

        if ($id) {
            //$param参数
            $param = array
            (
                'account_id' => 1,
                'project_id' => 1,
                'product_id' => $product_id,
                'uid' => $this->data['uid'],
                'username' => $user['username'],
                'name' => $product['name'],
                'cash' => $product['cash'],
                'order_id' => $order_id,
                //'refer' => '1',
                'openid' => $wechat['openid'],
            );

            if ($this->data['uid'] == 7) {
                $param['cash'] = 0.01;
            }


            $this->data['pay'] = Dever::load('pay/api')->applet($param);

            if (isset($this->data['pay']['prepay_id'])) {
                Dever::setInput('form_id', $this->data['pay']['prepay_id']);
                $this->writeFormId();
            }
        }

        

        return $this->data;
    }

    # 兑换
    public function code()
    {
    	//$product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');

    	$code = Dever::input('code');

    	if ($code) {

    		//$product = Dever::db('service/product')->one($product_id);

    		$info = Dever::db('code/info')->one(array('code' => $code));

    		if (!$info) {
    			Dever::alert('兑换码不存在');
    		}

    		if ($info['type'] == 3) {
    			Dever::alert('兑换码已被使用');
    		}

    		if ($info['type'] == 2 && $this->data['uid'] != $info['uid']) {
    			//Dever::alert('兑换码已被领取');
    		}

            $product_id = $info['product_id'];
            $product = Dever::db('service/product')->one($info['product_id']);

    		$order = Dever::db('service/order')->one(array('product_id' => $product_id, 'code' => $code, 'uid' => $this->data['uid']));

    		if ($order) {
    			Dever::alert('您已经使用过该兑换码');
    		}

    		Dever::db('code/info')->update(array('where_id' => $info['id'], 'type' => 3, 'uid' => $this->data['uid'], 'ldate' => time()));

            $order_id = $this->createOrder();
    		Dever::db('service/order')->insert(array('order_id' => $order_id, 'product_id' => $product_id, 'code' => $code, 'uid' => $this->data['uid'], 'type' => 2, 'name' => $product['name'], 'status' => 2));

    	} else {
    		Dever::alert('请输入完整的兑换码');
    	}

    	return true;
    }

    public function createOrder()
    {
        //$order = Dever::order('JZ');
        $order = Dever::rand(2, 2) . Dever::rand(6, 0);

        $info = Dever::db('service/order')->one(array('order_id' => $order));

        if ($info) {
            return $this->createOrder();
        }

        return $order;
    }

    public function email()
    {
        $email = Dever::input('email');

        $feedback_id = Dever::input('feedback_id', false, '> 0', '请传入正确的方案id');

        $info = Dever::db('service/feedback')->one($feedback_id);

        if ($email && $info && $info['uid'] == $this->data['uid']) {
            if (!preg_match(Dever::rule('email'), $email)) {
                Dever::alert('请输入正确的邮箱');
            }

            Dever::daemon('lib/email.send?uid=' . $this->data['uid'] . '&feedback_id=' . $feedback_id . '&email=' . $email, 'service');

            return 'ok';
        } else {
            Dever::alert('请输入邮箱');
        }
    }

    # 记录form_id 之后加上清理过期的form_id 七天过期
    public function writeFormId()
    {
        $product_id = Dever::input('product_id', false, '> 0', '请传入正确的产品id');
        $form_id = Dever::input('form_id');
        if ($product_id > 0 && $form_id) {
            $update = array();
            $update['product_id'] = $product_id;
            $update['form_id'] = $form_id;
            $update['uid'] = $this->data['uid'];
            
            $id = Dever::upinto('service/form_id', $update, $update);
        }

        return 'ok';
    }
}
